VSTGUI: TextEditorView::ModelData Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Attributes | List of all members
TextEditorView::ModelData Struct Reference

## Public Attributes
TextModel | model
std::shared_ptr< Style > | style {std::make_shared<Style> ()}
ITextEditorController * | controller {nullptr}
const IFontPainter * | fontPainer {nullptr}
FindPanelController * | findPanelController {nullptr}
CScrollView * | scrollView {nullptr}
SharedPointer< LineNumberView > | lineNumberView
SharedPointer< CVSTGUITimer > | blinkTimer
CRect | cursorRect {}
CRect | lastDrawnCursorRect {}
Range | selectedLines {}
CPoint | lastMouse {MouseOutsidePos}
CCoord | maxHeight {0}
CCoord | maxWidth {200.}
CCoord | horizontalLineMargin {0}
CCoord | lineHeight {style->font->getSize () + style->lineSpacing}
CCoord | fontAscent {0.}
CCoord | fontDescent {0.}
STB_TexteditState | editState {}
STB_TexteditState | editStateOnMouseDown {}
bool | mouseIsDown {false}
bool | isInsertingText {false}
bool | cursorIsVisible {false}
bool | isInUndoRedo {false}
float | cursorAlpha {0.f}
Lines::const_iterator | stbInternalIterator
FindOptions | findOptions
String | findString
CommandKeyArray | commandKeys
UndoList | undoList {UndoGroup ()}
UndoList::iterator | undoPos
UndoGroup | currentUndoGroup

## Member Data Documentation

## ◆ blinkTimer

SharedPointer<CVSTGUITimer> blinkTimer

## ◆ commandKeys

CommandKeyArray commandKeys

## ◆ controller

ITextEditorController* controller {nullptr}

## ◆ currentUndoGroup

UndoGroup currentUndoGroup

## ◆ cursorAlpha

float cursorAlpha {0.f}

## ◆ cursorIsVisible

bool cursorIsVisible {false}

## ◆ cursorRect

CRect cursorRect {}

## ◆ editState

STB_TexteditState editState {}

## ◆ editStateOnMouseDown

STB_TexteditState editStateOnMouseDown {}

## ◆ findOptions

FindOptions findOptions

## ◆ findPanelController

FindPanelController* findPanelController {nullptr}

## ◆ findString

String findString

## ◆ fontAscent

CCoord fontAscent {0.}

## ◆ fontDescent

CCoord fontDescent {0.}

## ◆ fontPainer

const IFontPainter* fontPainer {nullptr}

## ◆ horizontalLineMargin

CCoord horizontalLineMargin {0}

## ◆ isInsertingText

bool isInsertingText {false}

## ◆ isInUndoRedo

bool isInUndoRedo {false}

## ◆ lastDrawnCursorRect

CRect lastDrawnCursorRect {}

## ◆ lastMouse

CPoint lastMouse {MouseOutsidePos}

## ◆ lineHeight

CCoord lineHeight {style->font->getSize () + style->lineSpacing}

## ◆ lineNumberView

SharedPointer<LineNumberView> lineNumberView

## ◆ maxHeight

CCoord maxHeight {0}

## ◆ maxWidth

CCoord maxWidth {200.}

## ◆ model

TextModel model

## ◆ mouseIsDown

bool mouseIsDown {false}

## ◆ scrollView

CScrollView* scrollView {nullptr}

## ◆ selectedLines

Range selectedLines {}

## ◆ stbInternalIterator

Lines::const_iterator stbInternalIterator

## ◆ style

std::shared_ptr<Style> style {std::make_shared<Style> ()}

## ◆ undoList

UndoList undoList {UndoGroup ()}

## ◆ undoPos

UndoList::iterator undoPos

The documentation for this struct was generated from the following file:

- ctexteditor.cpp